import { Close, Minimize, WebAssetOutlined } from "@mui/icons-material";
import { Box, IconButton, Stack, useTheme } from "@mui/material";
import { getCurrentWindow } from "@tauri-apps/api/window";

export const WindowButtons = () => {
  // contexts
  const userTheme = useTheme();

  const minimize = () => {
    const appWindow = getCurrentWindow();
    appWindow.minimize();
  };

  const toggleMaximize = () => {
    const appWindow = getCurrentWindow();
    appWindow.toggleMaximize();
  };

  const close = async () => {
    const appWindow = getCurrentWindow();
    appWindow.close();
  };

  return (
    <Box
      sx={{
        alignItems: "center",
        display: "flex",
        flexDirection: "row",
      }}
    >
      <Stack direction="row" spacing={1}>
        <IconButton
          onClick={minimize}
          size="small"
          sx={{
            backgroundColor: userTheme.palette.grey[800],
          }}
        >
          <Minimize fontSize="inherit" />
        </IconButton>
        <IconButton
          onClick={toggleMaximize}
          size="small"
          sx={{
            backgroundColor: userTheme.palette.grey[800],
          }}
        >
          <WebAssetOutlined fontSize="inherit" />
        </IconButton>
        <IconButton
          onClick={close}
          size="small"
          sx={{
            backgroundColor: userTheme.palette.grey[800],
          }}
        >
          <Close fontSize="inherit" />
        </IconButton>
      </Stack>
    </Box>
  );
};
